Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.repository.config
Interface SingleRepositoryConfigInformation<T extends CommonRepositoryConfigInformation>

All Superinterfaces:
  CommonRepositoryConfigInformation

All Known Implementing Classes:
  AutomaticRepositoryConfigInformation, ManualRepositoryConfigInformation, ParentDelegatingRepositoryConfigInformation

    public interface SingleRepositoryConfigInformation<T extends CommonRepositoryConfigInformation>

extends CommonRepositoryConfigInformation

Interface to capture configuration information necessary to set up a single repository instance.

Author:
  Oliver Gierke

Method Summary
`boolean` | `autodetectCustomImplementation()` Returns whether to try to autodetect a custom implementation.
`String` | `getBeanId()` Returns the bean name to be used for the repository.
`String` | `getCustomImplementationRef()` Returns the bean reference to the custom repository implementation.
`String` | `getImplementationBeanName()` Returns the bean name a possibly found custom implementation shall be registered under.
`String` | `getImplementationClassName()` Returns the class name of a possible custom repository implementation class to detect.
`String` | `getInterfaceName()` Returns the name of the repository interface.

Methods inherited from interface org.springframework.data.repository.config.CommonRepositoryConfigInformation
`getBasePackage, getNamedQueriesLocation, getQueryLookupStrategyKey, getRepositoryFactoryBeanClassName, getRepositoryImplementationSuffix, getSource, getTransactionManagerRef`

Method Detail

### getBeanId

    String getBeanId()

  Returns the bean name to be used for the repository.

  Returns:

### getInterfaceName

    String getInterfaceName()

  Returns the name of the repository interface.

  Returns:

### getImplementationClassName

    String getImplementationClassName()

  Returns the class name of a possible custom repository implementation class to detect.

  Returns:

### getImplementationBeanName

    String getImplementationBeanName()

  Returns the bean name a possibly found custom implementation shall be registered under.

  Returns:

### getCustomImplementationRef

    String getCustomImplementationRef()

  Returns the bean reference to the custom repository implementation.

  Returns:

### autodetectCustomImplementation

    boolean autodetectCustomImplementation()

  Returns whether to try to autodetect a custom implementation.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.